CommonConfig [operator.alauda.io/v1alpha1]

Description
CommonConfig is the Schema for the commonconfigs API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

CommonConfigSpec defines the desired state of CommonConfig

statusobject

CommonConfigStatus defines the observed state of CommonConfig

.spec

Description
CommonConfigSpec defines the desired state of CommonConfig
Type
object
Required
etcdglobaloidcreleaserepositories
PropertyTypeDescription
elasticsearchobject

Elasticsearch Config

etcdobject

Etcd Config

extobject

Ext Config

globalobject

Global configuration

kafkaobject

Kafka Config

oidcobject

OIDC Config

releasestring

Release verison

repositoriesarray

Repositories Config

.spec.elasticsearch

Description
Elasticsearch Config
Type
object
PropertyTypeDescription
hoststring

Server address

nodesarray

Log nodes

passwordstring

Password

usernamestring

Uername

.spec.elasticsearch.nodes

Description
Log nodes
Type
array

.spec.elasticsearch.nodes[]

Type
string

.spec.etcd

Description
Etcd Config
Type
object
Required
ectdCaSecretectdPeerSecretservers
PropertyTypeDescription
ectdCaSecretobject

Etcd Ca Secret

ectdPeerSecretobject

Etcd Peer secret

serversarray

Etcd servers

.spec.etcd.ectdCaSecret

Description
Etcd Ca Secret
Type
object
Required
secretSource
PropertyTypeDescription
secretSourceobject

.spec.etcd.ectdCaSecret.secretSource

Type
object
Required
tls.crttls.key
PropertyTypeDescription
tls.crtstring
tls.keystring

.spec.etcd.ectdPeerSecret

Description
Etcd Peer secret
Type
object
Required
secretSource
PropertyTypeDescription
secretSourceobject

.spec.etcd.ectdPeerSecret.secretSource

Type
object
Required
tls.crttls.key
PropertyTypeDescription
tls.crtstring
tls.keystring

.spec.etcd.servers

Description
Etcd servers
Type
array

.spec.etcd.servers[]

Type
string

.spec.ext

Description
Ext Config
Type
object

.spec.global

Description
Global configuration
Type
object
Required
apiAddressdefaultAdminerebusApiAddresshostlabelBaseDomainreplicastlsSecret
PropertyTypeDescription
apiAddressstring

Platform api address

defaultAdminstring

The platform deploys a management account by default, and the default email admin@cpaas.io

erebusApiAddressstring

Platform api gateway address

hoststring

Platform access host address, support domain name or IP

isOCPboolean

Whether to deploy on openshift cluster

labelBaseDomainstring

Platform resource instance label field, the default is cpaas.io

namespacestring

The namespace deployed by the platform, default cpaas-system

replicasinteger

The number of instances of platform common deployment components, the default is 2

schemestring

Platform access protocol, support http or https

tlsSecretobject

Tls Secret

.spec.global.tlsSecret

Description
Tls Secret
Type
object
Required
secretSource
PropertyTypeDescription
secretSourceobject

.spec.global.tlsSecret.secretSource

Type
object
Required
tls.crttls.key
PropertyTypeDescription
tls.crtstring
tls.keystring

.spec.kafka

Description
Kafka Config
Type
object
Required
authhostkafka_passwordkafka_userzk_acl_passwordzk_passwordzk_user
PropertyTypeDescription
authboolean

Whether to enable authentication

hoststring

Server address

kafka_passwordstring
kafka_userstring
zk_acl_passwordstring
zk_passwordstring
zk_userstring

.spec.oidc

Description
OIDC Config
Type
object
Required
clientIDclientSecretissuerresponseTypescopes
PropertyTypeDescription
clientIDstring

OIDC Client ID

clientSecretstring

OIDC Client Secret

issuerstring

OIDC server address

responseTypestring

OIDC Response Type

scopesstring

OIDC Scopes

.spec.repositories

Description
Repositories Config
Type
array

.spec.repositories[]

Description
Repository Config
Type
object
Required
typeurl
PropertyTypeDescription
typestring

Repository type

urlstring

Repository url

.status

Description
CommonConfigStatus defines the observed state of CommonConfig
Type
object

API Endpoints

The following API endpoints are available:

  • /apis/operator.alauda.io/v1alpha1/commonconfigs
    • DELETE: delete collection of CommonConfig
    • GET: list objects of kind CommonConfig
    • POST: create a new CommonConfig
  • /apis/operator.alauda.io/v1alpha1/commonconfigs/{name}
    • DELETE: delete the specified CommonConfig
    • GET: read the specified CommonConfig
    • PATCH: partially update the specified CommonConfig
    • PUT: replace the specified CommonConfig
  • /apis/operator.alauda.io/v1alpha1/commonconfigs/{name}/status
    • GET: read status of the specified CommonConfig
    • PATCH: partially update status of the specified CommonConfig
    • PUT: replace status of the specified CommonConfig

/apis/operator.alauda.io/v1alpha1/commonconfigs

HTTP method
DELETE
Description
delete collection of CommonConfig
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind CommonConfig
HTTP responses
HTTP codeResponse body
200 - OKCommonConfigList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new CommonConfig
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyCommonConfig schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKCommonConfig schema
201 - CreatedCommonConfig schema
202 - AcceptedCommonConfig schema
401 - UnauthorizedEmpty

/apis/operator.alauda.io/v1alpha1/commonconfigs/{name}

HTTP method
DELETE
Description
delete the specified CommonConfig
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified CommonConfig
HTTP responses
HTTP codeResponse body
200 - OKCommonConfig schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified CommonConfig
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKCommonConfig schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified CommonConfig
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyCommonConfig schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKCommonConfig schema
201 - CreatedCommonConfig schema
401 - UnauthorizedEmpty

/apis/operator.alauda.io/v1alpha1/commonconfigs/{name}/status

HTTP method
GET
Description
read status of the specified CommonConfig
HTTP responses
HTTP codeResponse body
200 - OKCommonConfig schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified CommonConfig
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKCommonConfig schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified CommonConfig
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyCommonConfig schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKCommonConfig schema
201 - CreatedCommonConfig schema
401 - UnauthorizedEmpty